#!/usr/bin/python

import smbus
import time

SMBUS_NUMBER = 1
SMBUS_ADDR = 0x77
SMBUS_REG_CONF = 0xF5
SMBUS_REG_CTRL_MEAS = 0xF4
SMBUS_REG_CTRL_HUM = 0xF2

dig_T = {}
dig_P = {}
dig_H = {}
calib = {}

n = 0x88
while n <= 0xA1:
    calib[n] = 0
    n = n + 1

n = 0xE1
while n <= 0xF0:
    calib[n] = 0
    n = n + 1

n = 0xF7
while n <= 0xFE:
    calib[n] = 0
    n = n + 1

bus = smbus.SMBus(SMBUS_NUMBER)
bus.write_byte_data(SMBUS_ADDR,SMBUS_REG_CONF,0xA0)
bus.write_byte_data(SMBUS_ADDR,SMBUS_REG_CTRL_HUM,0x01)
bus.write_byte_data(SMBUS_ADDR,SMBUS_REG_CTRL_MEAS,0x25)
time.sleep(0.1)

for k in calib.keys():
    calib[k] = bus.read_byte_data(SMBUS_ADDR, k)

for k,v in calib.items():
    print "0x%02X -> 0x%02X" % (k,v)

dig_T[1] = (calib[0x89] << 8 | calib[0x88])
dig_T[2] = (calib[0x8B] << 8 | calib[0x8A])
dig_T[3] = (calib[0x8D] << 8 | calib[0x8C])

dig_P[1] = (calib[0x8F] << 8 | calib[0x8E])
dig_P[2] = (calib[0x91] << 8 | calib[0x90])
dig_P[3] = (calib[0x93] << 8 | calib[0x92])
dig_P[4] = (calib[0x95] << 8 | calib[0x94])
dig_P[5] = (calib[0x97] << 8 | calib[0x96])
dig_P[6] = (calib[0x99] << 8 | calib[0x98])
dig_P[7] = (calib[0x9B] << 8 | calib[0x9A])
dig_P[8] = (calib[0x9D] << 8 | calib[0x9C])
dig_P[9] = (calib[0x9F] << 8 | calib[0x9E])

dig_H[1] = calib[0xA1]
dig_H[2] = (calib[0xE2] << 8 | calib[0xE1])
dig_H[3] = (calib[0xE3])
dig_H[4] = (calib[0xE4] << 4 | calib[0xE5] & 0xf)
dig_H[5] = (calib[0xE6] << 4 | calib[0xE5] >> 4)
dig_H[6] = (calib[0xE7])


